net.corda.core.contracts

## Interface NamedByHash

- All Known Subinterfaces:
    Attachment
  All Known Implementing Classes:
    BaseTransaction, LedgerTransaction, SignedTransaction, WireTransaction

      public NamedByHash

  Implemented by anything that can be named by a secure hash value (e.g. transactions, attachments).

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getId()`

- - ### Method Detail

    - #### getId

          SecureHash getId()